(function($) {
	'use strict';

	var woocommerce = {};
	eltd.modules.woocommerce = woocommerce;

	woocommerce.eltdInitQuantityButtons = eltdInitQuantityButtons;
	woocommerce.eltdfInitButtonLoading = eltdfInitButtonLoading;
	woocommerce.eltdInitSelect2 = eltdInitSelect2;

	woocommerce.eltdOnDocumentReady = eltdOnDocumentReady;
	woocommerce.eltdOnWindowLoad = eltdOnWindowLoad;
	woocommerce.eltdOnWindowResize = eltdOnWindowResize;
	woocommerce.eltdOnWindowScroll = eltdOnWindowScroll;

	$(document).ready(eltdOnDocumentReady);
	$(window).load(eltdOnWindowLoad);
	$(window).resize(eltdOnWindowResize);
	$(window).scroll(eltdOnWindowScroll);

	/* 
	 All functions to be called on $(document).ready() should be in this function
	 */
	function eltdOnDocumentReady() {
		eltdInitQuantityButtons();
		eltdfInitButtonLoading();
		eltdInitSelect2();
	}

	/* 
	 All functions to be called on $(window).load() should be in this function
	 */
	function eltdOnWindowLoad() {
		eltdInitProductListMasonryShortcode();
	}

	/* 
	 All functions to be called on $(window).resize() should be in this function
	 */
	function eltdOnWindowResize() {
		eltdInitProductListMasonryShortcode();
	}

	/* 
	 All functions to be called on $(window).scroll() should be in this function
	 */
	function eltdOnWindowScroll() {

	}


	function eltdInitQuantityButtons() {

		$(document).on('click', '.eltd-quantity-minus, .eltd-quantity-plus', function(e) {
			e.stopPropagation();

			var button = $(this),
				inputField = button.siblings('.eltd-quantity-input'),
				step = parseFloat(inputField.attr('step')),
				max = parseFloat(inputField.attr('max')),
				minus = false,
				inputValue = parseFloat(inputField.val()),
				newInputValue;

			if(button.hasClass('eltd-quantity-minus')) {
				minus = true;
			}

			if(minus) {
				newInputValue = inputValue - step;
				if(newInputValue >= 1) {
					inputField.val(newInputValue);
				} else {
					inputField.val(1);
				}
			} else {
				newInputValue = inputValue + step;
				if(max === undefined) {
					inputField.val(newInputValue);
				} else {
					if(newInputValue >= max) {
						inputField.val(max);
					} else {
						inputField.val(newInputValue);
					}
				}
			}
			inputField.trigger('change');
		});

	}


    function eltdfInitButtonLoading() {

        $(".add_to_cart_button").click(function(){
        	console.log(eltdGlobalVars.vars.eltdAddingToCart);
            $(this).text(eltdGlobalVars.vars.eltdAddingToCart);
        });

    }

	function eltdInitSelect2() {

		if($('.woocommerce-ordering .orderby').length || $('#calc_shipping_country').length) {

			$('.woocommerce-ordering .orderby').select2({
				minimumResultsForSearch: Infinity
			});

			$('#calc_shipping_country').select2();
		}

		$('.variations_form.cart select').select2({
			minimumResultsForSearch: Infinity
		});

	}

	/*
	 ** Init Product List Masonry Shortcode Layout
	 */
	function eltdInitProductListMasonryShortcode() {

		var container = $('.eltd-pl-holder.eltd-masonry-layout .eltd-pl-outer');

		if(container.length) {
			container.each(function() {
				var thisContainer = $(this);

				thisContainer.waitForImages(function() {
					thisContainer.isotope({
						itemSelector: '.eltd-pli',
						resizable: false,
						masonry: {
							columnWidth: '.eltd-pl-sizer',
							gutter: '.eltd-pl-gutter'
						}
					});

					thisContainer.isotope('layout');

					thisContainer.css('opacity', 1);
				});
			});
		}
	}

})(jQuery);