<?php

if(!function_exists('malmo_elated_sidebar_options_map')) {

    function malmo_elated_sidebar_options_map() {

        $panel_widgets = malmo_elated_add_admin_panel(
            array(
                'page'  => '_page_page',
                'name'  => 'panel_widgets',
                'title' => esc_html__('Widgets', 'malmo')
            )
        );

        /**
         * Navigation style
         */
        malmo_elated_add_admin_field(array(
            'type'          => 'color',
            'name'          => 'sidebar_background_color',
            'default_value' => '',
            'label'         => esc_html__('Sidebar Background Color', 'malmo'),
            'description'   => esc_html__('Choose background color for sidebar', 'malmo'),
            'parent'        => $panel_widgets
        ));

        $group_sidebar_padding = malmo_elated_add_admin_group(array(
            'name'   => 'group_sidebar_padding',
            'title'  => esc_html__('Padding', 'malmo'),
            'parent' => $panel_widgets
        ));

        $row_sidebar_padding = malmo_elated_add_admin_row(array(
            'name'   => 'row_sidebar_padding',
            'parent' => $group_sidebar_padding
        ));

        malmo_elated_add_admin_field(array(
            'type'          => 'textsimple',
            'name'          => 'sidebar_padding_top',
            'default_value' => '',
            'label'         => esc_html__('Top Padding', 'malmo'),
            'args'          => array(
                'suffix' => 'px'
            ),
            'parent'        => $row_sidebar_padding
        ));

        malmo_elated_add_admin_field(array(
            'type'          => 'textsimple',
            'name'          => 'sidebar_padding_right',
            'default_value' => '',
            'label'         => esc_html__('Right Padding', 'malmo'),
            'args'          => array(
                'suffix' => 'px'
            ),
            'parent'        => $row_sidebar_padding
        ));

        malmo_elated_add_admin_field(array(
            'type'          => 'textsimple',
            'name'          => 'sidebar_padding_bottom',
            'default_value' => '',
            'label'         => esc_html__('Bottom Padding', 'malmo'),
            'args'          => array(
                'suffix' => 'px'
            ),
            'parent'        => $row_sidebar_padding
        ));

        malmo_elated_add_admin_field(array(
            'type'          => 'textsimple',
            'name'          => 'sidebar_padding_left',
            'default_value' => '',
            'label'         => esc_html__('Left Padding', 'malmo'),
            'args'          => array(
                'suffix' => 'px'
            ),
            'parent'        => $row_sidebar_padding
        ));

        malmo_elated_add_admin_field(array(
            'type'          => 'select',
            'name'          => 'sidebar_alignment',
            'default_value' => '',
            'label'         => esc_html__('Text Alignment', 'malmo'),
            'description'   => esc_html__('Choose text aligment', 'malmo'),
            'options'       => array(
                'left'   => esc_html__('Left', 'malmo'),
                'center' => esc_html__('Center', 'malmo'),
                'right'  => esc_html__('Right', 'malmo')
            ),
            'parent'        => $panel_widgets
        ));

    }

    add_action('malmo_elated_options_map', 'malmo_elated_sidebar_options_map');

}